Commits

Anonymous committed d1918a7

Make "git diff" use git-sh-setup-script too..

Give a sane error rather than just silently claiming no diffs when
you're not at the top-level directory.

Comments (0)

Files changed (1)

 #!/bin/sh
+. git-sh-setup-script || die "Not a git archive"
+
 rev=($(git-rev-parse --revs-only "$@"))
 flags=($(git-rev-parse --no-revs --flags "$@"))
 files=($(git-rev-parse --no-revs --no-flags "$@"))
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.